/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.util;

import java.util.Comparator;

import edu.stanford.smi.protege.model.Frame;

public class FrameWithBrowserTextComparator implements
		Comparator<FrameWithBrowserText> {

	public int compare(FrameWithBrowserText fbt1, FrameWithBrowserText fbt2) {
		String bt1 = fbt1.getBrowserText();
		String bt2 = fbt2.getBrowserText();
		if (bt1 != null && bt2 != null) {
			return bt1.compareTo(bt2);
		}
		Frame f1 = fbt1.getFrame();
		Frame f2 = fbt2.getFrame();
		if (f1 != null) {
			return f2 == null ? 1 : f1.compareTo(f2);
		}
		if (f2 != null) {
			return f1 == null ? -1 : f1.compareTo(f2);
		}
		return 0;
	}

}
